---
title: pydo.vpc_peerings.get()
description: Retrieve an Existing VPC Peering
product: Reference
url: https://docs.digitalocean.com/reference/pydo/reference/vpc_peerings/get/
last_updated: "2026-08-03"
---

> **For AI agents:** The documentation index is at [https://docs.digitalocean.com/llms.txt](https://docs.digitalocean.com/llms.txt). Markdown versions of pages use the same URL with `index.html.md` in place of the HTML page (for example, append `index.html.md` to the directory path instead of opening the HTML document).

# pydo.vpc_peerings.get()

Generated on 3 Aug 2026 from `pydo` version [`v0.40.0`](https://github.com/digitalocean/pydo/releases/tag/v0.40.0v0.40.0)

## Usage

```python
client.vpc_peerings.get(vpc_peering_id="5a4981aa-9653-4bd1-bef5-d6bff52042e4")
```

Returns `JSON`Raises `HttpResponseError`

## Description

To show information about an existing VPC Peering, send a GET request to [`/v2/vpc_peerings/{vpc_peering_id}`](https://docs.digitalocean.com/reference/api/reference/vpc-peerings/index.html.md#vpcPeerings_get).

## Parameters

`vpc_peering_id` string required

A unique identifier for a VPC peering.

## Response Example

## Show Response Example

```json
{
  "vpc_peering": {
    "id": "5a4981aa-9653-4bd1-bef5-d6bff52042e4",
    "name": "example-vpc-peering",
    "vpc_ids": [
      "997615ce-132d-4bae-9270-9ee21b395e5d",
      "e51aed59-3bb1-4a6a-8de0-9d1329e9c997"
    ],
    "created_at": "2024-01-09T20:44:32Z",
    "status": "ACTIVE"
  }
}
```

## More Information

See [`/v2/vpc_peerings/{vpc_peering_id}`](https://docs.digitalocean.com/reference/api/reference/vpc-peerings/index.html.md#vpcPeerings_get) in the API reference for additional detail on responses, headers, parameters, and more.